dbXML API

## org.dbxml.core
Interface Container

public interface Container

Container is a generic container for Key and Document pairs.

Method Summary
`void` `commit()` commit saves the Document in the Collection.
`void` `commit(org.w3c.dom.Document document)` commit replaces the Document in the Collection with the specified Document.
`java.lang.String` `getCanonicalName()` getCanonicalName returns the canonical name for the contained Document.
`Collection` `getCollection()` getCollection returns the Collection that the Document contained belongs to.
`org.w3c.dom.Document` `getDocument()` getDocument returns the contained Document.
`Key` `getKey()` getKey returns the Document Key.
`void` `remove()` delete removes the Document from the Collection.
`org.w3c.dom.Document` `rollback()` rollback reloads the Document from the Collection.

Method Detail

### getCollection

    public Collection getCollection()

  getCollection returns the Collection that the Document contained belongs to.
  Returns:
    The owner Collection

### getKey

    public Key getKey()

  getKey returns the Document Key.
  Returns:
    The Document Key

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws DBException

  getCanonicalName returns the canonical name for the contained Document.
  ex: /local/test/ocs/ytd
  Returns:
    The canonical name

### getDocument

    public org.w3c.dom.Document getDocument()

  getDocument returns the contained Document.
  Returns:
    The Document

### rollback

    public org.w3c.dom.Document rollback()
                                  throws DBException

  rollback reloads the Document from the Collection.
  Returns:
    The Document

### remove

    public void remove()
                throws DBException

  delete removes the Document from the Collection.

### commit

    public void commit()
                throws DBException

  commit saves the Document in the Collection.

### commit

    public void commit(org.w3c.dom.Document document)
                throws DBException

  commit replaces the Document in the Collection with the specified Document.
  Parameters:
    `document` - The Document

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved